using System;
using System.Data;
using System.Web;
using System.Web.UI;
using AsyncWebDemo;

public partial class _09_Async_Load_SalesData : System.Web.UI.UserControl
{
    private string cacheKey = "SalesData";
    public string CacheKey
    {
        get { return cacheKey; }
        set { cacheKey = value; }
    }
    private int productId;
    public int ProductId
    {
        get { return productId; }
        set { productId = value; }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        cacheKey += "-" + ProductId;
        string outputHtml = HttpRuntime.Cache[cacheKey] as string;
        if (outputHtml != null)
        {
            ClientScriptPanel.Visible = false;
            CachedPanel.Visible = true;
            CachedPanel.Controls.Add(new LiteralControl("<div id=\"salesData\">" + outputHtml + "</div>"));
        }
    }
}
