using System;
using System.Data;
using AsyncWebDemo;

namespace AsyncWebDemo
{
    public partial class StatBox2 : System.Web.UI.UserControl
    {
        protected int productId;
        public int ProductId
        {
            get { return productId; }
            set { productId = value; }
        }

        protected string productName;
        public string ProductName
        {
            get { return productName; }
            set { productName = value; }
        }

        protected int totalQuantitySold;
        public int TotalQuantitySold
        {
            get { return totalQuantitySold; }
            set { totalQuantitySold = value; }
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            DataTable dt =
                DemoService.GetProductQuantitySold(this.ProductId);
            this.productName = dt.Rows[0][1].ToString();
            this.totalQuantitySold = (int)dt.Rows[0][2];
        }
    }
}
