using System;
using System.Web.UI;

public partial class _09_Async_TemplateDriven_AsyncTemplates : System.Web.UI.Page
{
    private DateTime startTime;
    protected override void OnInit(EventArgs e)
    {
        startTime = DateTime.Now;
        base.OnInit(e);
    }
    protected override void Render(HtmlTextWriter writer)
    {
        writer.Write("<h1>Page Took " + (DateTime.Now - startTime).TotalMilliseconds + "ms to render.</h1>");
        base.Render(writer);
    }

    protected void Page_Load(object sender, EventArgs e)
    {

    }
}
