using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace AsyncWebDemo
{

    public partial class View_SalesData : System.Web.UI.UserControl, IRenderable<DataTable>
    {
        protected int productId;
        public int ProductId
        {
            get { return productId; }
            set { productId = value; }
        }

        protected string productName;
        public string ProductName
        {
            get { return productName; }
            set { productName = value; }
        }

        protected int totalQuantitySold;
        public int TotalQuantitySold
        {
            get { return totalQuantitySold; }
            set { totalQuantitySold = value; }
        }


        #region IRenderable<DataTable> Members

        public void PopulateData(DataTable data)
        {
            this.productId = (int)data.Rows[0][0];
            this.productName = data.Rows[0][1].ToString();
            this.totalQuantitySold = (int)data.Rows[0][2];

        }

        #endregion

        protected void Page_Load(object sender, EventArgs e)
        {

        }
    }
}